using System;
using System.Net;

internal sealed class Delegate701 : MulticastDelegate
{
	public extern WebRequest Invoke(string string_0);

	public static WebRequest smethod_0(string string_0, Delegate701 delegate701_1)
	{
		return delegate701_1(string_0);
	}

	public extern Delegate701(object object_0, IntPtr intptr_0);

	static Delegate701()
	{
		Class10.smethod_13(typeof(Delegate701).TypeHandle);
	}

	internal static Delegate701 delegate701_0;
}
